Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	A GNU utility for secure communication and data storage
Name:      	gnupg
Version:   	1.4.9
Release:   	2
Provides:	gpg, openpgp
License: 	GNU/GPL
URL:		http://www.gnupg.org
Group:     	System/Security
Source0: 	gnupg-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prereq(post,preun): /sbin/install-info
BuildRequires:	bash
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  libidn-devel
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  libusb-devel
BuildRequires:  zlib-devel
BuildRequires:  openldap-devel
Obsoletes:	%{name}-man

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%pre
/sbin/install-info --quiet --delete %{_infodir}/gpg.info.gz %{_infodir}/dir 

%post
/sbin/install-info %{_infodir}/gnupg1.info.gz %{_infodir}/dir 

%preun 
if [ "$1" = 0 ]; then 
    /sbin/install-info --del %{_infodir}/gnupg1.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n gnupg-%{version}

%build
./configure \
--prefix=%{_prefix} \
--libexecdir=%{_libdir} \
--mandir=%{_mandir} \
--infodir=%{_infodir} \
--with-zlib \
--with-bzip2 \
--with-readline
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT libexecdir=%{_libdir}/%{name}
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%files
%defattr(-,root,root)
%attr(4755,root,root) /usr/bin/gpg
%{_bindir}/gpg-zip
%{_bindir}/gpgsplit
%{_bindir}/gpgv
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/locale
%{_mandir}
%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.4.9-2
- obsoletes man package
* Tue Apr 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.9-1
- version update
* Tue Mar 11 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.8-2
- fixed scriptlet error during installation
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.8-1
- version update
* Thu Nov 01 2007 Christian Wasem <wasem@ccux-linux.de> 1.4.7-2
- corrected info-file install
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.7-1
- Version update
* Thu Dec 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.6-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.5-1
- Version update
* Sat Mar 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.2.2-1
- Version update
* Thu Feb 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2.1-1
- version update
* Wed Jul 27 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-1
- Version update
* Fri Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.1-2
- Added infofile install
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.4.1-1
- Version Update to 1.4.1
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0-2
- Recompilation against readline 5.0
* Fri Feb 18 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version Update to 1.4.0
* Thu Apr 15 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.4-1
- Initial Release
